org.keycloak.dom.saml.v2.metadata

## Class EndpointType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes
  - - org.keycloak.dom.saml.v2.metadata.EndpointType

- Direct Known Subclasses:
    IndexedEndpointType

      public class EndpointType
      extends TypeWithOtherAttributes

  Java class for EndpointType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EndpointType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <any/>
             </sequence>
             <attribute name="Binding" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="Location" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="ResponseLocation" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `any`
    `protected URI` | `binding`
    `protected URI` | `location`
    `protected URI` | `responseLocation`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `otherAttributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointType(URI binding, URI location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(Object obj)` Add an object
    `List<Object>` | `getAny()` Gets the value of the any property.
    `URI` | `getBinding()` Gets the value of the binding property.
    `URI` | `getLocation()` Gets the value of the location property.
    `URI` | `getResponseLocation()` Gets the value of the responseLocation property.
    `void` | `removeObject(Object obj)` remove an object
    `void` | `setResponseLocation(URI value)` Sets the value of the responseLocation property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.metadata.TypeWithOtherAttributes

      `addOtherAttribute, getOtherAttributes, removeOtherAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### any

          protected List<Object> any

    - #### binding

          protected URI binding

    - #### location

          protected URI location

    - #### responseLocation

          protected URI responseLocation

  - ### Constructor Detail

    - #### EndpointType

          public EndpointType(URI binding,
                              URI location)

  - ### Method Detail

    - #### addObject

          public void addObject(Object obj)

      Add an object
      Parameters:
        `obj` -

    - #### removeObject

          public void removeObject(Object obj)

      remove an object
      Parameters:
        `obj` -

    - #### getAny

          public List<Object> getAny()

      Gets the value of the any property.

      Objects of the following type(s) are allowed in the list `Element` `Object`

    - #### getBinding

          public URI getBinding()

      Gets the value of the binding property.
      Returns:
        possible object is `URI`

    - #### getLocation

          public URI getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `URI`

    - #### getResponseLocation

          public URI getResponseLocation()

      Gets the value of the responseLocation property.
      Returns:
        possible object is `URI`

    - #### setResponseLocation

          public void setResponseLocation(URI value)

      Sets the value of the responseLocation property.
      Parameters:
        `value` - allowed object is `URI`

Copyright © 2020 JBoss by Red Hat. All rights reserved.